=== src/dfxml/python/Makefile ===
check: check-dfxml check-dfxml_tool
	@echo "Tests passed!"

check-dfxml:
	./test_dfxml.sh

check-dfxml_tool:
	./test_dfxml_tool.sh

clean:
	rm -f dfxml_tool_*xml
