## tcpflow 0.21.ds1

=== debian/changelog ===
tcpflow (0.21.ds1-6) unstable; urgency=low

  * debian/control: Build-depend on hardening-includes.
  * debian/rules: Use hardening.make.
  * debian/patches/10_vlan.diff: Dropped (closes: #558209).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 14 Jan 2010 20:17:47 +0100

tcpflow (0.21.ds1-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Refresh all patches.
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>> 7).
    + debian/rules: Simplify.
  * debian/patches/10_vlan.diff: New patch, makes tcpflow skip VLAN
    headers if present (closes: #536792).
  * debian/patches/series: Update.
  * debian/control: Bump Standards-Version to 3.8.3, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 09 Nov 2009 19:55:38 +0100

tcpflow (0.21.ds1-4) unstable; urgency=low

  * debian/patches/20_fix-usage.diff: New patch, fixes wrong usage output
    (closes: #499158).
  * debian/control: Bump Standards-Version to 3.8.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 21 Jun 2009 19:22:28 +0200

tcpflow (0.21.ds1-3) unstable; urgency=low

  * debian/patches/10_extra-opts.diff: Fix off-by-one error in handling of
    isn, the handshake SYN packet counts for one but doesn't contain data
    (closes: #477163).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 01 May 2008 13:54:05 +0200

tcpflow (0.21.ds1-2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.7.3, no changes needed.
  * debian/copyright: Add actual copyright notice (lintian warning).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Mar 2008 21:22:23 +0100

tcpflow (0.21.ds1-1) unstable; urgency=low

  * Repack tarball from Git.
  * debian/control: Add Homepage, Vcs-Browser and Vcs-Git fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 14 Oct 2007 17:23:21 +0200

tcpflow (0.21-12) unstable; urgency=low

  * Convert to quilt for patch management:
    + debian/control: build-depend on quilt (>= 0.40).
    + debian/rules: Include /usr/share/quilt/quilt.make and call quilt
      targets.

  * Split monolithic Debian diff:
    + debian/patches/10_extra-opts.diff: Add options -C and -e.
    + debian/patches/50_autotools-dev.diff: Make config.{guess,sub}
      exec newer versions of themselves if autotools-dev is installed.

  * debian/control: Don't build-depend on automake1.7, but on autotools-dev.
  * debian/rules: Don't reconf.  Major cleanup.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Sep 2007 12:49:18 +0200

tcpflow (0.21-11) unstable; urgency=high

  * Fix broken Debian-specific changes:
    + -C and -c *must* imply -s to strip non-printable characters or
      network data could end up messing with the terminal; this is
      potentially a security issue, hence urgency: high.
    + Reimplement Debian-specific option -e from scratch, the previous
      implementation was tragically flawed: it assumed that the entirety
      of the TCP connection would have only two segments, which is of
      course rarely true...  Do it properly by finding out who's the
      client and who's the server by examining the TCP handshake. Also
      mention -e in usage.
    + Fix spelling errors in Debian-specific patches.
    + Fix the manpage to make explanations actually match their
      corresponding options (closes: #392676).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Oct 2006 16:38:10 +0200

tcpflow (0.21-10) unstable; urgency=low

  * debian/control:
    + Set myself as maintainer, not just uploader.
    + Build-Depend on debhelper (>> 5.0.0), libpcap0.8-dev.
  * debian/compat: New file.
  * debian/rules: Don't set DH_COMPAT.

 -- Romain Francoise <rfrancoise@debian.org>  Tue,  3 Oct 2006 08:16:37 +0200

tcpflow (0.21-9) unstable; urgency=low

  * Updated Debian Standards version to 3.7.2
  * Restore behaviour of the '-C' switch, which was broken in
    the previous release.
    (Closes: #368728)

 -- Steve Kemp <skx@debian.org>  Friday, 2 June 2006 09:54:06 +0000

tcpflow (0.21-8) unstable; urgency=low

  * Changed the default command line arguments, so that -C doesnt
    imply -s.
  * Updated documentation to match.

 -- Steve Kemp <skx@debian.org>  Saturday, 25 February 2006 19:43:56 +0000

tcpflow (0.21-7) unstable; urgency=low

  * Updated the debhelper compatability level to four.
  * Updated Debian Standards Version.

 -- Steve Kemp <skx@debian.org>  Monday, 16 January 2006 15:40:19 +0000

tcpflow (0.21-6) unstable; urgency=high

  * Updated to Build-Dep upon the automake1.7 package which
    should finally allow it to build correctly.  (Verified this
    with pbuilder)
    (Closes: #272555).
  * Severity set to medium as this is the second revision
    which didn't correctly build from source.

 -- Steve Kemp <skx@debian.org>  Tuesday, 21 September 2004 19:39:26 +0000

tcpflow (0.21-5) unstable; urgency=low

  * Fix the FTBFS problems which occurred due to timestamp issues
    on the autoconf files.  (Closes: #271159).

 -- Steve Kemp <skx@debian.org>  Friday, 7 September 2004 21:52:46 +0000

tcpflow (0.21-4) unstable; urgency=high

  * Fix the FTBFS issue which was caused by out of date
    autoconf files.
    (Closes: #259890)	

 -- Steve Kemp <skx@debian.org>  Monday, 16 August 2004 21:13:30 +0000

tcpflow (0.21-3) unstable; urgency=medium

  * Fixes the longstanding (two years!) bug where occaisional
    source port reuse causes captures to have large amounts of
    erroneous NULL characters.
    (Closes: #143826) Major thanks to Mike Castle for diagnosing
    the source of this bug and submitting an almost perfect patch.
  * Added the ability to colour code the output when dumping to
    the console.  Alternate flows appear in alternating colours.
    (Closes: #233082)

 -- Steve Kemp <skx@debian.org>  Thursday, 15 July 2004 23:38:12 +0000	


