=== debian/control ===
Source: tcpflow
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>> 7), libpcap0.8-dev, autotools-dev,
               hardening-includes
Homepage: http://www.circlemud.org/~jelson/software/tcpflow/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpflow.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpflow.git

Package: tcpflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tcpdump
Description: TCP flow recorder
 tcpflow is a program that captures data transmitted as part of TCP
 connections (flows), and stores the data in a way that is convenient
 for protocol analysis or debugging. A program like 'tcpdump' shows a
 summary of packets seen on the wire, but usually doesn't store the
 data that's actually being transmitted. In contrast, tcpflow
 reconstructs the actual data streams and stores each flow in a
 separate file for later analysis.
 .
 tcpflow understands sequence numbers and will correctly reconstruct
 data streams regardless of retransmissions or out-of-order delivery.
 However, it currently does not understand IP fragments; flows
 containing IP fragments will not be recorded properly.
 .
 tcpflow is based on the LBL Packet Capture Library and therefore
 supports the same rich filtering expressions that programs like
 'tcpdump' support. tcpflow can also rebuild flows from data captured
 with 'tcpdump -w'.
