## tcpflow 1.3.0+dfsg

=== debian/changelog ===
tcpflow (1.3.0+dfsg-2) unstable; urgency=low

  * updated upstream URL
  * Package moved to unstable

 -- Dima Kogan <dima@secretsauce.net>  Sun, 07 Jul 2013 18:09:31 -0700

tcpflow (1.3.0+dfsg-1) experimental; urgency=low

  * New Maintainer (Closes: #673637)
  * Package now follows new upstream:
    http://www.afflib.org/software/tcpflow/ . This fixes several bugs:
    (Closes: #636922, #536792, #611047, #636212)
  * Updated debianization
    - moved to debhelper v9, so debian/rules is now much simpler
    - added watch files
    - expanded debian/copyright
    - now building a tcpflow-dbg package
  
 -- Dima Kogan <dima@secretsauce.net>  Sat, 02 Feb 2013 02:16:53 -0800

tcpflow (0.21.ds1-7) unstable; urgency=low

  * Switch to debhelper compat level 9, enable hardening via
    dpkg-buildflags.
  * Override lintian warning about stack protector: the binary is
    correctly built with stack protection enabled, but doesn't have any
    arrays on the stack.
  * Override lintian tag 'package-needs-versioned-debhelper-build-depends'.
  * Bump Standards-Version to 3.9.3.
  * Set Maintainer to Debian QA group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 20 May 2012 12:59:44 +0200
