## tcpflow 1.4.0+repack1

=== debian/changelog ===
tcpflow (1.4.0+repack1-2) unstable; urgency=low

  * imported upstream patches to let non-x86 builds work (Closes: #725630)
  * patched the source to build on kfreebsd (Closes: #725660)
  * debian/watch version mangling now handles the +repack source

 -- Dima Kogan <dima@secretsauce.net>  Tue, 05 Nov 2013 12:03:56 -0800

tcpflow (1.4.0-1) unstable; urgency=low

  * Upstream update

 -- Dima Kogan <dima@secretsauce.net>  Thu, 05 Sep 2013 20:24:08 -0700
