## tcpflow 1.4.3+repack1

=== debian/changelog ===
tcpflow (1.4.3+repack1-1) unstable; urgency=low

  * Upstream update to 1.4.3 (Closes: #729328)
  * Using in-debian libhttp-parser instead of the in-tree one

 -- Dima Kogan <dima@secretsauce.net>  Sat, 07 Dec 2013 11:03:08 -0800

tcpflow (1.4.0+repack1-1) unstable; urgency=low

  * Bumped the major version to indicate that the sources were repacked

 -- Dima Kogan <dima@secretsauce.net>  Sun, 15 Sep 2013 02:18:32 -0700
