## tcpflow 1.4.4%2Brepack1

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=tcpflow-dbg
