=== debian/changelog ===
tcpflow (1.4.5+repack1-4build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:47 +0000

tcpflow (1.4.5+repack1-4build1) bionic; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Nov 2017 14:00:14 +0000

tcpflow (1.4.5+repack1-4) unstable; urgency=medium

  * Fix FTCFBS: Let dh_auto_configure pass cross compilers (Closes:
    #852766)

 -- Dima Kogan <dkogan@debian.org>  Sun, 29 Jan 2017 20:26:14 -0800

tcpflow (1.4.5+repack1-3) unstable; urgency=medium

  * Bug fix: "FTBFS with openssl 1.1.0", thanks to Kurt Roeckx (Closes:
    #828570).

 -- Dima Kogan <dkogan@debian.org>  Fri, 28 Oct 2016 11:49:16 -0700

tcpflow (1.4.5+repack1-2) unstable; urgency=medium

  [ Dima Kogan ]
  * updated maintainer email address
  * Removed separate -dbg package

  [ Chris Lamb ]
  * Build uses a UTC date to make builds reproducible (Closes: #831584)

 -- Dima Kogan <dkogan@debian.org>  Sun, 17 Jul 2016 12:31:54 -0700

tcpflow (1.4.5+repack1-1) unstable; urgency=medium

  * New upstream release
  * -b 0 now works (Closes: #638804)

 -- Dima Kogan <dima@secretsauce.net>  Tue, 25 Aug 2015 20:55:52 -0700
