=== debian/watch ===
version = 3
opts=dversionmangle=s/(?:\+dfsg|\+repack).*$// \
  https://github.com/simsong/tcpflow/tags .*/tcpflow/archive/tcpflow-(\d[\d\.]+).tar.gz
