=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tcpflow
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                libpcap0.8-dev,
@@ -15,8 +14,8 @@
                libcairo2-dev,
                libhttp-parser-dev
 Homepage: https://github.com/simsong/tcpflow
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpflow.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/tcpflow.git
+Vcs-Browser: https://salsa.debian.org/debian/tcpflow
+Vcs-Git: https://salsa.debian.org/debian/tcpflow.git
 
 Package: tcpflow
 Architecture: any
