=== debian/changelog ===
tcpflow (1.5.2+repack1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:22 +0100

tcpflow (1.5.2+repack1-1build1) eoan; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Aug 2019 18:28:42 +0000

tcpflow (1.5.2+repack1-1) unstable; urgency=medium

  * New upstream release (Closes: #911263)

 -- Dima Kogan <dkogan@debian.org>  Wed, 21 Nov 2018 10:06:45 -0800

tcpflow (1.5.0+repack1-2) unstable; urgency=medium

  * Cherry-picked patch to fix security bug (Closes: #911263)

 -- Dima Kogan <dkogan@debian.org>  Fri, 16 Nov 2018 13:38:29 -0800
