=== debian/changelog ===
tcpflow (1.6.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:34 +1100

tcpflow (1.6.1-3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:24:20 +0000

tcpflow (1.6.1-3) unstable; urgency=medium

  * Fix build with gcc-13 (Closes: #1037869)

 -- Dima Kogan <dkogan@debian.org>  Sat, 05 Aug 2023 10:47:41 -0700

tcpflow (1.6.1-2) unstable; urgency=medium

  * Fixed debian/watch

 -- Dima Kogan <dkogan@debian.org>  Thu, 11 Nov 2021 22:20:46 -0800

tcpflow (1.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #951491)

 -- Dima Kogan <dkogan@debian.org>  Wed, 10 Mar 2021 20:01:07 -0800
