=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tcpflow
 Section: net
 Priority: optional
-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libpcap0.8-dev,
                zlib1g,
                autoconf, automake,
@@ -49,7 +50,7 @@
 Conflicts: tcpflow
 Provides: tcpflow
 Suggests: tcpdump
-Description: TCP flow recorder - version without X11 dependencies 
+Description: TCP flow recorder - version without X11 dependencies
  tcpflow is a program that captures data transmitted as part of TCP
  connections (flows), and stores the data in a way that is convenient
  for protocol analysis or debugging. A program like 'tcpdump' shows a
