=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

BUILDDIR     := $(CURDIR)/debian/build
BUILDDIR_NOX := $(CURDIR)/debian/build-nox

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure --builddirectory=$(BUILDDIR)
	dh_auto_configure --builddirectory=$(BUILDDIR_NOX) -- \
		--enable-cairo=false

override_dh_auto_build:
	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
	dh_auto_build -a -- -C $(BUILDDIR)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR) $(BUILDDIR_NOX) \
		config.log \
		config.hin \
		configure \
		src/Makefile.in

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR) install DESTDIR=$(BUILDDIR).inst
	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(BUILDDIR_NOX).inst
