=== debian/watch ===
version=4
opts=dversionmangle=s/(?:\+dfsg|\+repack).*$//,\
filenamemangle=s/.+\/tcpflow-?(\d\S+)\.tar\.gz/tcpflow-$1\.tar\.gz/ \
  https://github.com/simsong/tcpflow/tags .*/tcpflow-(\d\S+)\.tar\.gz
